<template>
  <div class="KeyProtectiveTargetsContainer">
    <div class="targetsContainer clearfix">
      <div class="protectiveTargets">
        <PieLoopChart :id="'KeyProtectiveEcharts'" :pieData="pieData"/>
      </div>
    </div>
    <div class="listContainer clearfix">
      <div class="monitoring commonTitle">
        <div class="topTitle">
          <span>专项监测设备</span>
        </div>
        <div class="listContainer">
          <div class="barCharts">
            <BarMonitorEcharts :dataObj="dataObj" />
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import BarMonitorEcharts from "@/components/warnAnalysis/leftCharts/BarMonitorEcharts"
import PieLoopChart from "@/components/warnAnalysis/leftCharts/PieLoopChart"
export default {
  name: 'KeyProtectiveTargets',
  components: {
    BarMonitorEcharts,
    PieLoopChart
  },
  data() {
    return {
      sendObject: {},
      pieData: {},
      dataLists: [],
      dataObj: {}
    }
  },
  created() {
    this.init()
  },
  computed: {
  },
  methods: {
    init() {
      this.sendObject = {
        total: 524,
        lists: [
          {
            name: '管线',
            count: 62
          },
          {
            name: '桥梁隧道',
            count: 37
          },
          {
            name: '危险源',
            count: 5
          },
          {
            name: '自然灾害风险点',
            count: 7
          },
          // {
          //   name: '地铁站',
          //   count: 36
          // },
          // {
          //   name: '收费站',
          //   count: 24
          // },
          // {
          //   name: '医院',
          //   count: 16
          // },
          // {
          //   name: '高铁站点',
          //   count: '0'
          // },
          // {
          //   name: '生产经营单位',
          //   count: 75
          // },
          // {
          //   name: '充电站',
          //   count: 13
          // },
          // {
          //   name: '宾馆',
          //   count: 46
          // },
          // {
          //   name: '学校',
          //   count: 36
          // },
          // {
          //   name: '商场',
          //   count: 17
          // },
          // {
          //   name: '娱乐场所',
          //   count: 139
          // },
          // {
          //   name: '危险品',
          //   count: 11
          // },
          // {
          //   name: '工厂',
          //   count: '0'
          // }
        ]
      }
      const arrys = this.sendObject.lists ? this.sendObject.lists : []
      if (arrys.length) {
        arrys.forEach(item => {
          item.value = item.count
        })
        this.pieData = {
          total: 524,
          name: '重点防护目标',
          seriesData: [...arrys]
          // seriesData: [
          //   {name: '', value: 0},
          //   {name: '', value: 0}
          // ]
        }
        console.log(this.pieData)
      }
      this.dataLists = [
        {
          name: '燃气',
          icon: require('../../../assets/img/warnAnalysis/leftCharts/gas.png'),
          allCount: 83,
          onlineCount: 82,
          offlineCount: 1
        },
        {
          name: '内涝',
          icon: require('../../../assets/img/warnAnalysis/leftCharts/waterLogging.png'),
          allCount: 137,
          onlineCount: 135,
          offlineCount: 2
        },
        {
          name: '供水',
          icon: require('../../../assets/img/warnAnalysis/leftCharts/waterSupply.png'),
          allCount: 102,
          onlineCount: 23,
          offlineCount: 10
        },
        {
          name: '排水',
          icon: require('../../../assets/img/warnAnalysis/leftCharts/drainage.png'),
          allCount: 83,
          onlineCount: 77,
          offlineCount: 5
        },
        {
          name: '隧道',
          icon: require('../../../assets/img/warnAnalysis/leftCharts/tunnel.png'),
          allCount: 246,
          onlineCount: 245,
          offlineCount: 1
        },
        {
          name: '热力',
          icon: require('../../../assets/img/warnAnalysis/leftCharts/centralHeating.png'),
          allCount: 356,
          onlineCount: 346,
          offlineCount: 10
        },
        {
          name: '桥梁',
          icon: require('../../../assets/img/warnAnalysis/leftCharts/bridge.png'),
          allCount: 578,
          onlineCount: 571,
          offlineCount: 6
        },
        {
          name: '管廊',
          icon: require('../../../assets/img/warnAnalysis/leftCharts/pipeGallery.png'),
          allCount: 839,
          onlineCount: 832,
          offlineCount: 7
        }
      ]
      this.dataObj = {
        alarmFirst: {
          xData: ['燃气', '内涝', '供水', '排水', '隧道', '热力', '桥梁', '管廊'],
          yData: [82, 135, 23, 77, 245, 346, 571, 832]
        }
      }
    }
  }
}
</script>

<style lang="scss" scoped>
.KeyProtectiveTargetsContainer {
  width: 100%;
  height: 100%;
  box-sizing: border-box;
  .targetsContainer {
    width: 100%;
    height: 40%;
    .protectiveTargets{
      width: 100%;
      height: 100%;
    }
  }
  .listContainer{
    width: 100%;
    height: 60%;
    .monitoring{
      width: 100%;
      height: 100%;
      margin-right: 10px;
      box-sizing: border-box;
      position: relative;
      .listContainer{
        width: 100%;
        height: 100%;
        padding-top: 15px;
        box-sizing: border-box;
        position: absolute;
        left: 0;
        top: 0;
        z-index: 999;
        overflow: hidden;
        .lists{
          float: left;
          width: 100%;
          height: 100%;
          ul{
            width: 100%;
            height: 100%;
            display: flex;
            justify-content: space-between;
            flex-wrap: wrap;
            align-content: flex-start;
            li{
              width: 50%;
              height: 56px;
              margin-top: 10px;
              background: url('../../../assets/img/warnAnalysis/leftCharts/listBg.png') no-repeat;
              background-size: 100% 100%;
              .listMess{
                .icon{
                  padding: 0px 2px 0 1px;
                  //box-shadow: 0 0 80px -25px red;
                  i{
                    display: inline-block;
                    width: 18px;
                    height: 18px;
                    img{
                      width: 100%;
                      height: 100%;
                    }
                  }
                }
                .title{
                  margin-top: 23px;
                  span{
                    font-size: 14px;
                    font-family: Alimama ShuHeiTi;
                    font-weight: bold;
                    color: #FFFFFF;
                    // background: linear-gradient(-30deg, rgba(255,255,255,0.5) 0%, rgba(148,214,255,0.5) 99.5849609375%);
                    text-shadow: 0px 4px 24px rgba(0,0,0,0.36);
                    // box-shadow: 3px 0 6px 3px rgba(255,255,255,0.3);
                    background: linear-gradient(0deg, #5EB4FF 1.220703125%, #fff 96.58203125%);
                    -webkit-background-clip: text;
                    -webkit-text-fill-color: transparent;
                  }
                }
                .common{
                  font-family: Alimama ShuHeiTi;
                  font-weight: bold;
                  color: #FFFFFF;
                  .tit{
                    padding-top: 11px;
                    span{
                      font-size: 12px;
                    }
                  }
                  .count{
                    padding-top: 6px;
                    span{
                      font-size: 16px;
                    }
                  }
                }
                .allCount{
                  padding-left: 17px;
                  color: #FFFFFF;
                }
                .onlineCount{
                  padding-left: 19px;
                  color: #00C6FF;
                }
                .offlineCount{
                  padding-left: 18px;
                  color: #8D8C8C;
                }
              }
            }
          }
        }
        .barCharts{
          float: left;
          width: 100%;
          height: 100%;
          position: relative;
        }
      }
    }
  }
}
</style>
